Loading...
Searching...
No Matches
matplotlibcpp::Plot Class Reference

`#include <matplotlibcpp.h>`

## Public Member Functions

template<typename Numeric>
| Plot (const std::string &name, const std::vector< Numeric > &x, const std::vector< Numeric > &y, const std::string &format="")
| Plot (const std::string &name="", const std::string &format="")
template<typename Numeric>
bool | update (const std::vector< Numeric > &x, const std::vector< Numeric > &y)
bool | clear ()
void | remove ()
| ~Plot ()

## Private Member Functions

void | decref ()

## Private Attributes

PyObject * | line = nullptr
PyObject * | set_data_fct = nullptr

## Constructor & Destructor Documentation

## Plot() [1/2]

template<typename Numeric>

matplotlibcpp::Plot::Plot | ( | const std::string & | name,
|  | const std::vector< Numeric > & | x,
|  | const std::vector< Numeric > & | y,
|  | const std::string & | format = "" )

inline

Here is the call graph for this function:
Here is the caller graph for this function:

## Plot() [2/2]

matplotlibcpp::Plot::Plot | ( | const std::string & | name = "",
|  | const std::string & | format = "" )

inline

Here is the call graph for this function:

## ~Plot()

matplotlibcpp::Plot::~Plot | ( |  | ) |

inline

Here is the call graph for this function:

## Member Function Documentation

## clear()

bool matplotlibcpp::Plot::clear | ( |  | ) |

inline

Here is the call graph for this function:

## decref()

void matplotlibcpp::Plot::decref | ( |  | ) |

inlineprivate

Here is the caller graph for this function:

## remove()

void matplotlibcpp::Plot::remove | ( |  | ) |

inline

Here is the call graph for this function:

## update()

template<typename Numeric>

bool matplotlibcpp::Plot::update | ( | const std::vector< Numeric > & | x,
|  | const std::vector< Numeric > & | y )

inline

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## line

PyObject* matplotlibcpp::Plot::line = nullptr

private

## set_data_fct

PyObject* matplotlibcpp::Plot::set_data_fct = nullptr

private

The documentation for this class was generated from the following file:

- include/plotting/matplotlibcpp.h